/*
 Theme Name:   hello-elementor-child
 Description:  Child theme of Hello Elementor
 Author:       bwa
 Template:     hello-elementor
 Version:      1.0.0
 Text Domain:  hello-elementor-child
*/

/*
--------------------------------------
réglages Hello Elementor
--------------------------------------
*/

.site-header:not(.dynamic-header),
.site-footer:not(.dynamic-footer) {
	max-width: 100% !important;
	padding: 0;
}

/*
--------------------------------------
custom Template
--------------------------------------
*/

.content-container {
	width: 100%;
}

/*
--------------------------------------
elements
--------------------------------------
*/

header ul,
footer ul {
	list-style-type: none;
	margin: 0;
}

.entry-content ul {
	list-style-type: disc;
	margin-left: 1em;
}

p {
	margin-bottom: 0;
}

/*
--------------------------------------
btns
--------------------------------------
*/

.btn-primary {
	display: flex;
	align-items: center;
	background: var(--e-global-color-primary);
	font-family: var(--e-global-typography-primary-font-family), sans-serif;
	font-size: var(--font-size-base);
	font-weight: var(--font-weight-normal);
	color: var(--e-global-color-secondary);
	border: 1px solid var(--e-global-color-primary);
	line-height: 28px;
	height: 47px;
	padding: 12px 42px;
}

.btn-primary:hover,
.btn-primary:focus {
	background-color: var(--e-global-color-secondary);
	color: var(--e-global-color-primary);
}

.btn-secondary {
	background-color: var(--e-global-color-primary);
	color: #fff;
	border: 2px solid var(--e-global-color-primary);
	padding: var(--spacing-xs) 6px;
}

.btn-secondary:hover,
.btn-secondary:focus {
	background-color: #fff;
	color: var(--e-global-color-114779e);
	border: 2px solid var(--e-global-color-primary);
}

.tp-dfwv{
	z-index: 10000!important;
	position: fixed!important;
}
/* Ensure main content keeps height during transitions */
#content,
.site-container {
    min-height: 100vh;
}

/* Cache bust - 2026-01-22 - Fix transitionStartTime bug */
